﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MathWorks.MATLAB.NET.Arrays;
using MathWorks.MATLAB.NET.Utility;
using PlusNameSpace;

namespace Example
{
  class Program
  {
    static void Main(string[] args)
    {
      Program objPro = new Program() ; 
      
      Console.WriteLine("Plus calculation example " ) ;
      Console.Write("\n") ;

      double c = objPro.CalculatePlus(2.1, 3.4) ;
      Console.WriteLine(c.ToString() ) ;
    }      

    /* ******************* */
    public double CalculatePlus(double a, double b) 
    {
      /* declare variables */
      MWNumericArray mw_a = new MWNumericArray(a) ;
      MWNumericArray mw_b = new MWNumericArray(b) ;
      MWNumericArray mw_c ;

      /* call the implemental function */                        
      Plusclass objMfile = new Plusclass() ;
      mw_c = (MWNumericArray) objMfile.myplus(mw_a, mw_b) ;

      /* convert back to Cs double */
      double result = (double) mw_c ;

      /* free memory */
      mw_a.Dispose() ;
      mw_b.Dispose() ;
      mw_c.Dispose() ;

      return result ;
    }

/* ******************* */
/* ******************* */
/* ******************* */
  }
}
