/*
* MATLAB Compiler: 4.11 (R2009b)
* Date: Thu May 20 08:36:32 2010
* Arguments: "-B" "macro_default" "-C" "-W"
* "dotnet:GeneratingGraphicsNameSpace,GeneratingGraphics,2.0,encryption_keyfile_path,local
* " "simplePlot.m" "multiPlotForArrays.m" "multiPlotForFuncs.m" "mytextread.m" 
*/
using System;
using System.Reflection;
using MathWorks.MATLAB.NET.Arrays;
using MathWorks.MATLAB.NET.Utility;
using MathWorks.MATLAB.NET.ComponentData;

#if SHARED
[assembly: System.Reflection.AssemblyKeyFile(@"encryption_keyfile_path")]
#endif

namespace GeneratingGraphicsNameSpaceNative
{
  /// <summary>
  /// The GeneratingGraphics class provides a CLS compliant, Object (native) interface to
  /// the M-functions contained in the files:
  /// <newpara></newpara>
  /// simplePlot.m
  /// <newpara></newpara>
  /// multiPlotForArrays.m
  /// <newpara></newpara>
  /// multiPlotForFuncs.m
  /// <newpara></newpara>
  /// mytextread.m
  /// <newpara></newpara>
  /// deployprint.m
  /// <newpara></newpara>
  /// printdlg.m
  /// </summary>
  /// <remarks>
  /// @Version 2.0
  /// </remarks>
  public class GeneratingGraphics : IDisposable
  {
    #region Constructors

    /// <summary internal= "true">
    /// The static constructor instantiates and initializes the MATLAB Component Runtime
    /// instance.
    /// </summary>
    static GeneratingGraphics()
    {
      if (MWMCR.MCRAppInitialized)
      {
        Assembly assembly= Assembly.GetExecutingAssembly();

        string ctfFilePath= assembly.Location;

        int lastDelimiter= ctfFilePath.LastIndexOf(@"\");

        ctfFilePath= ctfFilePath.Remove(lastDelimiter, (ctfFilePath.Length - lastDelimiter));

        mcr= new MWMCR(MCRComponentState.MCC_GeneratingGraphicsNameSpace_name_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_root_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_public_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_session_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_matlabpath_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_classpath_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_libpath_data,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_mcr_application_options,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_mcr_runtime_options,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_mcr_pref_dir,
                       MCRComponentState.MCC_GeneratingGraphicsNameSpace_set_warning_state,
                       ctfFilePath, true);
      }
      else
      {
        throw new ApplicationException("MWArray assembly could not be initialized");
      }
    }


    /// <summary>
    /// Constructs a new instance of the GeneratingGraphics class.
    /// </summary>
    public GeneratingGraphics()
    {
    }


    #endregion Constructors

    #region Finalize

    /// <summary internal= "true">
    /// Class destructor called by the CLR garbage collector.
    /// </summary>
    ~GeneratingGraphics()
    {
      Dispose(false);
    }


    /// <summary>
    /// Frees the native resources associated with this object
    /// </summary>
    public void Dispose()
    {
      Dispose(true);

      GC.SuppressFinalize(this);
    }


    /// <summary internal= "true">
    /// Internal dispose function
    /// </summary>
    protected virtual void Dispose(bool disposing)
    {
      if (!disposed)
      {
        disposed= true;

        if (disposing)
        {
          // Free managed resources;
        }

        // Free native resources
      }
    }


    #endregion Finalize

    #region Methods

    /// <summary>
    /// Provides a void output, 0-input Objectinterface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    ///
    public void simplePlot()
    {
      mcr.EvaluateFunction(0, "simplePlot", new Object[]{});
    }


    /// <summary>
    /// Provides a void output, 1-input Objectinterface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="x">Input argument #1</param>
    ///
    public void simplePlot(Object x)
    {
      mcr.EvaluateFunction(0, "simplePlot", x);
    }


    /// <summary>
    /// Provides a void output, 2-input Objectinterface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="x">Input argument #1</param>
    /// <param name="y">Input argument #2</param>
    ///
    public void simplePlot(Object x, Object y)
    {
      mcr.EvaluateFunction(0, "simplePlot", x, y);
    }


    /// <summary>
    /// Provides a void output, 3-input Objectinterface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="x">Input argument #1</param>
    /// <param name="y">Input argument #2</param>
    /// <param name="strColor">Input argument #3</param>
    ///
    public void simplePlot(Object x, Object y, Object strColor)
    {
      mcr.EvaluateFunction(0, "simplePlot", x, y, strColor);
    }


    /// <summary>
    /// Provides the standard 0-input Object interface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] simplePlot(int numArgsOut)
    {
      return mcr.EvaluateFunction(numArgsOut, "simplePlot", new Object[]{});
    }


    /// <summary>
    /// Provides the standard 1-input Object interface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="x">Input argument #1</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] simplePlot(int numArgsOut, Object x)
    {
      return mcr.EvaluateFunction(numArgsOut, "simplePlot", x);
    }


    /// <summary>
    /// Provides the standard 2-input Object interface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="x">Input argument #1</param>
    /// <param name="y">Input argument #2</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] simplePlot(int numArgsOut, Object x, Object y)
    {
      return mcr.EvaluateFunction(numArgsOut, "simplePlot", x, y);
    }


    /// <summary>
    /// Provides the standard 3-input Object interface to the simplePlot M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="x">Input argument #1</param>
    /// <param name="y">Input argument #2</param>
    /// <param name="strColor">Input argument #3</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] simplePlot(int numArgsOut, Object x, Object y, Object strColor)
    {
      return mcr.EvaluateFunction(numArgsOut, "simplePlot", x, y, strColor);
    }


    /// <summary>
    /// Provides a void output, 0-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    ///
    public void multiPlotForArrays()
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", new Object[]{});
    }


    /// <summary>
    /// Provides a void output, 1-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    ///
    public void multiPlotForArrays(Object t)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t);
    }


    /// <summary>
    /// Provides a void output, 2-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    ///
    public void multiPlotForArrays(Object t, Object y1)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1);
    }


    /// <summary>
    /// Provides a void output, 3-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2);
    }


    /// <summary>
    /// Provides a void output, 4-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2, Object y3)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2, y3);
    }


    /// <summary>
    /// Provides a void output, 5-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2, Object y3, Object y4)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2, y3, y4);
    }


    /// <summary>
    /// Provides a void output, 6-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2, Object y3, Object y4, 
                             Object strTitle)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle);
    }


    /// <summary>
    /// Provides a void output, 7-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    /// <param name="strxlabel">Input argument #7</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2, Object y3, Object y4, 
                             Object strTitle, Object strxlabel)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle, strxlabel);
    }


    /// <summary>
    /// Provides a void output, 8-input Objectinterface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    /// <param name="strxlabel">Input argument #7</param>
    /// <param name="strylabel">Input argument #8</param>
    ///
    public void multiPlotForArrays(Object t, Object y1, Object y2, Object y3, Object y4, 
                             Object strTitle, Object strxlabel, Object strylabel)
    {
      mcr.EvaluateFunction(0, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle, strxlabel, strylabel);
    }


    /// <summary>
    /// Provides the standard 0-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", new Object[]{});
    }


    /// <summary>
    /// Provides the standard 1-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t);
    }


    /// <summary>
    /// Provides the standard 2-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1);
    }


    /// <summary>
    /// Provides the standard 3-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2);
    }


    /// <summary>
    /// Provides the standard 4-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2, 
                                 Object y3)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2, y3);
    }


    /// <summary>
    /// Provides the standard 5-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2, 
                                 Object y3, Object y4)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2, y3, y4);
    }


    /// <summary>
    /// Provides the standard 6-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2, 
                                 Object y3, Object y4, Object strTitle)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle);
    }


    /// <summary>
    /// Provides the standard 7-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    /// <param name="strxlabel">Input argument #7</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2, 
                                 Object y3, Object y4, Object strTitle, Object strxlabel)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle, strxlabel);
    }


    /// <summary>
    /// Provides the standard 8-input Object interface to the multiPlotForArrays
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// title('Figure Legends') ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="t">Input argument #1</param>
    /// <param name="y1">Input argument #2</param>
    /// <param name="y2">Input argument #3</param>
    /// <param name="y3">Input argument #4</param>
    /// <param name="y4">Input argument #5</param>
    /// <param name="strTitle">Input argument #6</param>
    /// <param name="strxlabel">Input argument #7</param>
    /// <param name="strylabel">Input argument #8</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForArrays(int numArgsOut, Object t, Object y1, Object y2, 
                                 Object y3, Object y4, Object strTitle, Object strxlabel, 
                                 Object strylabel)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForArrays", t, y1, y2, y3, y4, strTitle, strxlabel, strylabel);
    }


    /// <summary>
    /// Provides a void output, 0-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    ///
    public void multiPlotForFuncs()
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", new Object[]{});
    }


    /// <summary>
    /// Provides a void output, 1-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    ///
    public void multiPlotForFuncs(Object strPlot1)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1);
    }


    /// <summary>
    /// Provides a void output, 2-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1);
    }


    /// <summary>
    /// Provides a void output, 3-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1);
    }


    /// <summary>
    /// Provides a void output, 4-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2);
    }


    /// <summary>
    /// Provides a void output, 5-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2);
    }


    /// <summary>
    /// Provides a void output, 6-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2);
    }


    /// <summary>
    /// Provides a void output, 7-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3);
    }


    /// <summary>
    /// Provides a void output, 8-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3, Object colorPlot3)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3);
    }


    /// <summary>
    /// Provides a void output, 9-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3, Object colorPlot3, Object markerPlot3)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3);
    }


    /// <summary>
    /// Provides a void output, 10-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3, Object colorPlot3, Object markerPlot3, 
                            Object strTitle)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle);
    }


    /// <summary>
    /// Provides a void output, 11-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    /// <param name="strxlabel">Input argument #11</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3, Object colorPlot3, Object markerPlot3, 
                            Object strTitle, Object strxlabel)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle, strxlabel);
    }


    /// <summary>
    /// Provides a void output, 12-input Objectinterface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    /// <param name="strxlabel">Input argument #11</param>
    /// <param name="strylabel">Input argument #12</param>
    ///
    public void multiPlotForFuncs(Object strPlot1, Object colorPlot1, Object markerPlot1, 
                            Object strPlot2, Object colorPlot2, Object markerPlot2, 
                            Object strPlot3, Object colorPlot3, Object markerPlot3, 
                            Object strTitle, Object strxlabel, Object strylabel)
    {
      mcr.EvaluateFunction(0, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle, strxlabel, strylabel);
    }


    /// <summary>
    /// Provides the standard 0-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", new Object[]{});
    }


    /// <summary>
    /// Provides the standard 1-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1);
    }


    /// <summary>
    /// Provides the standard 2-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1);
    }


    /// <summary>
    /// Provides the standard 3-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1);
    }


    /// <summary>
    /// Provides the standard 4-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2);
    }


    /// <summary>
    /// Provides the standard 5-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2);
    }


    /// <summary>
    /// Provides the standard 6-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2);
    }


    /// <summary>
    /// Provides the standard 7-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3);
    }


    /// <summary>
    /// Provides the standard 8-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3, Object colorPlot3)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3);
    }


    /// <summary>
    /// Provides the standard 9-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3, Object colorPlot3, 
                                Object markerPlot3)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3);
    }


    /// <summary>
    /// Provides the standard 10-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3, Object colorPlot3, 
                                Object markerPlot3, Object strTitle)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle);
    }


    /// <summary>
    /// Provides the standard 11-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    /// <param name="strxlabel">Input argument #11</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3, Object colorPlot3, 
                                Object markerPlot3, Object strTitle, Object strxlabel)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle, strxlabel);
    }


    /// <summary>
    /// Provides the standard 12-input Object interface to the multiPlotForFuncs
    /// M-function.
    /// </summary>
    /// <remarks>
    /// M-Documentation:
    /// y1 = cos(t)           ;
    /// y2 = cos(t + pi/3)    ;
    /// y3 = cos(t + 2*pi/3)  ;
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="strPlot1">Input argument #1</param>
    /// <param name="colorPlot1">Input argument #2</param>
    /// <param name="markerPlot1">Input argument #3</param>
    /// <param name="strPlot2">Input argument #4</param>
    /// <param name="colorPlot2">Input argument #5</param>
    /// <param name="markerPlot2">Input argument #6</param>
    /// <param name="strPlot3">Input argument #7</param>
    /// <param name="colorPlot3">Input argument #8</param>
    /// <param name="markerPlot3">Input argument #9</param>
    /// <param name="strTitle">Input argument #10</param>
    /// <param name="strxlabel">Input argument #11</param>
    /// <param name="strylabel">Input argument #12</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] multiPlotForFuncs(int numArgsOut, Object strPlot1, Object colorPlot1, 
                                Object markerPlot1, Object strPlot2, Object colorPlot2, 
                                Object markerPlot2, Object strPlot3, Object colorPlot3, 
                                Object markerPlot3, Object strTitle, Object strxlabel, 
                                Object strylabel)
    {
      return mcr.EvaluateFunction(numArgsOut, "multiPlotForFuncs", strPlot1, colorPlot1, markerPlot1, strPlot2, colorPlot2, markerPlot2, strPlot3, colorPlot3, markerPlot3, strTitle, strxlabel, strylabel);
    }


    /// <summary>
    /// Provides a void output, 0-input Objectinterface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    ///
    public void mytextread()
    {
      mcr.EvaluateFunction(0, "mytextread", new Object[]{});
    }


    /// <summary>
    /// Provides a void output, 1-input Objectinterface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="fileName">Input argument #1</param>
    ///
    public void mytextread(Object fileName)
    {
      mcr.EvaluateFunction(0, "mytextread", fileName);
    }


    /// <summary>
    /// Provides a void output, 2-input Objectinterface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="fileName">Input argument #1</param>
    /// <param name="colNum">Input argument #2</param>
    ///
    public void mytextread(Object fileName, Object colNum)
    {
      mcr.EvaluateFunction(0, "mytextread", fileName, colNum);
    }


    /// <summary>
    /// Provides a void output, 3-input Objectinterface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="fileName">Input argument #1</param>
    /// <param name="colNum">Input argument #2</param>
    /// <param name="mydelimiter">Input argument #3</param>
    ///
    public void mytextread(Object fileName, Object colNum, Object mydelimiter)
    {
      mcr.EvaluateFunction(0, "mytextread", fileName, colNum, mydelimiter);
    }


    /// <summary>
    /// Provides the standard 0-input Object interface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] mytextread(int numArgsOut)
    {
      return mcr.EvaluateFunction(numArgsOut, "mytextread", new Object[]{});
    }


    /// <summary>
    /// Provides the standard 1-input Object interface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="fileName">Input argument #1</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] mytextread(int numArgsOut, Object fileName)
    {
      return mcr.EvaluateFunction(numArgsOut, "mytextread", fileName);
    }


    /// <summary>
    /// Provides the standard 2-input Object interface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="fileName">Input argument #1</param>
    /// <param name="colNum">Input argument #2</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] mytextread(int numArgsOut, Object fileName, Object colNum)
    {
      return mcr.EvaluateFunction(numArgsOut, "mytextread", fileName, colNum);
    }


    /// <summary>
    /// Provides the standard 3-input Object interface to the mytextread M-function.
    /// </summary>
    /// <remarks>
    /// </remarks>
    /// <param name="numArgsOut">The number of output arguments to return.</param>
    /// <param name="fileName">Input argument #1</param>
    /// <param name="colNum">Input argument #2</param>
    /// <param name="mydelimiter">Input argument #3</param>
    /// <returns>An Array of length "numArgsOut" containing the output
    /// arguments.</returns>
    ///
    public Object[] mytextread(int numArgsOut, Object fileName, Object colNum, Object 
                         mydelimiter)
    {
      return mcr.EvaluateFunction(numArgsOut, "mytextread", fileName, colNum, mydelimiter);
    }


    /// <summary>
    /// This method will cause a MATLAB figure window to behave as a modal dialog box.
    /// The method will not return until all the figure windows associated with this
    /// component have been closed.
    /// </summary>
    /// <remarks>
    /// An application should only call this method when required to keep the
    /// MATLAB figure window from disappearing.  Other techniques, such as calling
    /// Console.ReadLine() from the application should be considered where
    /// possible.</remarks>
    ///
    public void WaitForFiguresToDie()
    {
      mcr.WaitForFiguresToDie();
    }



    #endregion Methods

    #region Class Members

    private static MWMCR mcr= null;

    private bool disposed= false;

    #endregion Class Members
  }
}
